Share via


Namespaces - Create Or Update Authorization Rule

Creates an authorization rule for a namespace

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NotificationHubs/namespaces/{namespaceName}/authorizationRules/{authorizationRuleName}?api-version=2023-09-01

URI Parameters

Name In Required Type Description
authorizationRuleName
path True

string

minLength: 1
maxLength: 256
pattern: ^[a-zA-Z0-9!()*-._]+$

Authorization Rule Name

namespaceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z][a-zA-Z0-9-]*$

Namespace name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
location

string

Deprecated - only for compatibility.

properties

SharedAccessAuthorizationRuleProperties

SharedAccessAuthorizationRule properties.

tags

object

Deprecated - only for compatibility.

Responses

Name Type Description
200 OK

SharedAccessAuthorizationRuleResource

Updated

201 Created

SharedAccessAuthorizationRuleResource

Created

Other Status Codes

ErrorResponse

Error code with reason.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Namespaces_CreateOrUpdateAuthorizationRule

Sample request

PUT https://management.azure.com/subscriptions/29cfa613-cbbc-4512-b1d6-1b3a92c7fa40/resourceGroups/5ktrial/providers/Microsoft.NotificationHubs/namespaces/nh-sdk-ns/authorizationRules/sdk-AuthRules-1788?api-version=2023-09-01

{
  "properties": {
    "rights": [
      "Listen",
      "Send"
    ]
  }
}

Sample response

{
  "properties": {
    "rights": [
      "Listen",
      "Send"
    ],
    "modifiedTime": "2023-04-26T10:09:19.9675121+00:00",
    "createdTime": "2023-04-26T10:09:19.9675121+00:00"
  },
  "id": "/subscriptions/29cfa613-cbbc-4512-b1d6-1b3a92c7fa40/resourceGroups/5ktrial/providers/Microsoft.NotificationHubs/namespaces/nh-sdk-ns/authorizationRules/NewAuthorizationRule",
  "name": "NewAuthorizationRule",
  "type": "Microsoft.NotificationHubs/namespaces/authorizationRules"
}
{
  "properties": {
    "rights": [
      "Listen",
      "Send"
    ],
    "modifiedTime": "2023-04-26T10:09:19.9675121+00:00",
    "createdTime": "2023-04-26T10:09:19.9675121+00:00"
  },
  "id": "/subscriptions/29cfa613-cbbc-4512-b1d6-1b3a92c7fa40/resourceGroups/5ktrial/providers/Microsoft.NotificationHubs/namespaces/nh-sdk-ns/authorizationRules/NewAuthorizationRule",
  "name": "NewAuthorizationRule",
  "type": "Microsoft.NotificationHubs/namespaces/authorizationRules"
}

Definitions

Name Description
AccessRights

Defines values for AccessRights.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

SharedAccessAuthorizationRuleProperties

SharedAccessAuthorizationRule properties.

SharedAccessAuthorizationRuleResource

Response for POST requests that return single SharedAccessAuthorizationRule.

systemData

Metadata pertaining to creation and last modification of the resource.

AccessRights

Defines values for AccessRights.

Value Description
Manage
Send
Listen

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

SharedAccessAuthorizationRuleProperties

SharedAccessAuthorizationRule properties.

Name Type Description
claimType

string

Gets a string that describes the claim type

claimValue

string

Gets a string that describes the claim value

createdTime

string (date-time)

Gets the created time for this rule

keyName

string

Gets a string that describes the authorization rule.

modifiedTime

string (date-time)

Gets the last modified time for this rule

primaryKey

string

Gets a base64-encoded 256-bit primary key for signing and validating the SAS token.

revision

integer (int32)

Gets the revision number for the rule

rights

AccessRights[]

Gets or sets the rights associated with the rule.

secondaryKey

string

Gets a base64-encoded 256-bit primary key for signing and validating the SAS token.

SharedAccessAuthorizationRuleResource

Response for POST requests that return single SharedAccessAuthorizationRule.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Deprecated - only for compatibility.

name

string

The name of the resource

properties

SharedAccessAuthorizationRuleProperties

SharedAccessAuthorizationRule properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Deprecated - only for compatibility.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.